GET /platform/v1/ens-callbacks

Retrieves details about all registered callbacks.

Usage 

To retrieve information about callbacks, issue a GET request to the /platform/v1/ens-callbacks endpoint.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /platform/v1/ens-callbacks
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

The response contains information about all of the callbacks in the account.

1HTTP/1.1 200 Success
2[{
3    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
4    "callbackName": "cb1",
5    "url": "https://example1.com/",
6    "maxBatchSize": 1000,
7    "status": "verified",
8    "statusReason": "none"
9  },
10  {
11    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057e",
12    "callbackName": "cb2",
13    "url": "https://example2.com/",
14    "maxBatchSize": 750,
15    "status": "verified",
16          "statusReason": "none"
17  }]

HTTP Responses 

This table lists the possible responses for this endpoint.

ResponseReason
200 SuccessThe request to retrieve the callbacks succeeded.
400 Bad RequestThe request was invalid. Make sure the request includes all the required headers.
403 ForbiddenThe request couldn’t be authorized. Make sure the request headers include a valid authorization token.
500 Server ErrorAn internal error occurred. Try your request again later.

See Also